# frozen_string_literal: true

module Mcache
  class Client
    def fetch(key, options = {})
      Mcache.connection.run do |cn|
        cn.fetch(key, options.fetch(:expires_in, 0)) do
          yield
        end
      end
    end
  end
end
